<template>
  <div></div>
</template>

<script>
import { tileLayer } from 'leaflet'

export default {
  name: 'leaflettilelayer',

  props: {
    url: {
      type: String,
      required: true,
    },
  },

  computed: {
    leafletMap: {
      get() {
        return this.$parent.leafletMap
      }
    },

    leafletPane: {
      get() {
        return this.$parent.leafletPane
      }
    },
  },

  methods: {
    create() {
      this.layerObject = tileLayer(this.url, this.getOptions()).addTo(this.leafletMap)
      return this
    },

    getOptions() {
      return {
        pane: this.leafletPane.name
      }
    },
  },

  mounted() {
    this.create()
  },
}
</script>

